#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTreeWidgetItem>
#include <QDir>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    void showDir (QTreeWidgetItem * target, QDir dir);

    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();


private slots:
    void on_action_Quit_triggered();

    void on_action_Run_triggered();

    void on_treeWidget_itemClicked(QTreeWidgetItem *item, int column);

    void on_actionCalc_triggered();

private:
    Ui::MainWindow *ui;
    void readText(QString path);
    void readData(QString path);
    void readImage(QString path);
    void readXml(QString path);
};

#endif // MAINWINDOW_H
